document.addEventListener('DOMContentLoaded', function() {
  var rows = document.querySelectorAll('tr');
  rows.forEach(function(row) {
    var rankCell = row.querySelector('td span.rank');
    if (rankCell) {
      var freqCell = row.querySelector('td span.freq');
      var value = parseFloat(rankCell.textContent);
      var percentage = value * 100;
      var barDiv = document.createElement('div');
      barDiv.className = 'freq-bar';
      barDiv.style.width = percentage + '%';
      
      var freqContainer = document.createElement('div');
      freqContainer.className = 'freq-container';
      freqContainer.textContent = freqCell.textContent.trim();
      
      freqContainer.appendChild(barDiv);
      freqCell.textContent = '';
      freqCell.appendChild(freqContainer);
    }
  });
});